# Organization API: Customer Portal: Payment methods

> The 5 Organization API operations for payment methods.

Source: https://docs.coritan.com/api/reference/organizations/customer-portal/payment-methods/

Part of [Customer Portal](/api/reference/organizations/customer-portal/).

## Operations

| Method | Path | Summary |
| --- | --- | --- |
| GET | [`/api/v1/orgs/{org_slug}/portal/payment-methods`](#op-get-api-v1-orgs-org-slug-portal-payment-methods) | List customer's saved payment methods |
| POST | [`/api/v1/orgs/{org_slug}/portal/payment-methods/confirm`](#op-post-api-v1-orgs-org-slug-portal-payment-methods-confirm) | Confirm payment method setup after customer approves on gateway side |
| POST | [`/api/v1/orgs/{org_slug}/portal/payment-methods/setup`](#op-post-api-v1-orgs-org-slug-portal-payment-methods-setup) | Initiate payment method tokenization on a regional gateway account |
| DELETE | [`/api/v1/orgs/{org_slug}/portal/payment-methods/{method_id}`](#op-delete-api-v1-orgs-org-slug-portal-payment-methods-method-id) | Remove (deactivate) a saved payment method |
| PUT | [`/api/v1/orgs/{org_slug}/portal/payment-methods/{method_id}/default`](#op-put-api-v1-orgs-org-slug-portal-payment-methods-method-id-default) | Set a payment method as the default for this customer |

### List customer's saved payment methods {#op-get-api-v1-orgs-org-slug-portal-payment-methods}

`GET /api/v1/orgs/{org_slug}/portal/payment-methods`

List customer's saved payment methods.

#### Parameters

| Name | In | Type | Required |
| --- | --- | --- | --- |
| `org_slug` | path | string | yes |

#### Responses

| Status | Meaning |
| --- | --- |
| `200` | Success. |
| `422` | The request is not valid. `detail` lists each problem. |

### Confirm payment method setup after customer approves on gateway side {#op-post-api-v1-orgs-org-slug-portal-payment-methods-confirm}

`POST /api/v1/orgs/{org_slug}/portal/payment-methods/confirm`

Confirm payment method setup after customer approves on gateway side.
Stores the tokenized method for future charges.

#### Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `org_slug` | path | string | yes |  |
| `gateway_name` | query | string | yes |  |
| `session_id` | query | string | yes |  |
| `set_as_default` | query | boolean | no | Default: `True`. |
| `currency` | query | string | no |  |

#### Request body

`application/json`

Type: Callback Data.

#### Responses

| Status | Meaning |
| --- | --- |
| `200` | Success. |
| `422` | The request is not valid. `detail` lists each problem. |

### Initiate payment method tokenization on a regional gateway account {#op-post-api-v1-orgs-org-slug-portal-payment-methods-setup}

`POST /api/v1/orgs/{org_slug}/portal/payment-methods/setup`

Initiate payment method tokenization on a regional gateway account.

#### Parameters

| Name | In | Type | Required |
| --- | --- | --- | --- |
| `org_slug` | path | string | yes |
| `return_url` | query | string | yes |
| `cancel_url` | query | string | yes |
| `gateway_name` | query | string | no |
| `currency` | query | string | no |

#### Responses

| Status | Meaning |
| --- | --- |
| `200` | Success. |
| `422` | The request is not valid. `detail` lists each problem. |

### Remove (deactivate) a saved payment method {#op-delete-api-v1-orgs-org-slug-portal-payment-methods-method-id}

`DELETE /api/v1/orgs/{org_slug}/portal/payment-methods/{method_id}`

Remove (deactivate) a saved payment method.

#### Parameters

| Name | In | Type | Required |
| --- | --- | --- | --- |
| `method_id` | path | integer | yes |
| `org_slug` | path | string | yes |

#### Responses

| Status | Meaning |
| --- | --- |
| `200` | Success. |
| `422` | The request is not valid. `detail` lists each problem. |

### Set a payment method as the default for this customer {#op-put-api-v1-orgs-org-slug-portal-payment-methods-method-id-default}

`PUT /api/v1/orgs/{org_slug}/portal/payment-methods/{method_id}/default`

Set a payment method as the default for this customer.

#### Parameters

| Name | In | Type | Required |
| --- | --- | --- | --- |
| `method_id` | path | integer | yes |
| `org_slug` | path | string | yes |

#### Responses

| Status | Meaning |
| --- | --- |
| `200` | Success. |
| `422` | The request is not valid. `detail` lists each problem. |
